Porting packages away from deprecated APIs


#1

I’ve been porting the rails-navigation plugin away from Atom’s previously deprecated APIs. While I’ve been doing this, I’ve been blogging about it as I go.

http://mattr.info/2015/08/05/porting-atom-packages-part-one-getting-set-up.html
http://mattr.info/2015/09/23/porting-atom-packages-part-two-remove-deprecation-warnings.html

I’ve got two parts done so far. The first part is just the initial set up for getting started with Atom package development. The second part is handling the easy errors that Deprecation Cop points out when loading the package. As I get other parts done, I’ll update this thread with the information on those.

I hope these are useful for people make their existing packages work with the new APIs or people who want to pick up packages that use deprecated API and get them fixed.